#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-I56h4XRBy3AI9Cm6DkEgJ6
key:                  persistent-test-2.13.0.3-I56h4XRBy3AI9Cm6DkEgJ6
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  71b55c4a7a0bf44c4b466a9d15c9c097
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-I56h4XRBy3AI9Cm6DkEgJ6
depends:
    HUnit-1.6.2.0-7NTHh2wpGOH5FzEaccmM0G
    QuickCheck-2.14.2-5cPRTtrxXz46wA1XUCyvzI
    aeson-1.5.6.0-CtYtZJraSsHFcsSZaXvlPw base-4.15.0.0
    blaze-html-0.9.1.2-A7ToP6bilsv6vFr5IXyUxm bytestring-0.10.12.1
    conduit-1.3.4.1-8jlGLhbigpS5Mr1cOcRciU containers-0.6.4.1
    exceptions-0.10.4 hspec-2.8.2-GP9C1hw5zyb4Q4a8EZ5qjZ
    hspec-expectations-0.8.2-Cz9zxkXfcoW1MG8si5JVg9
    http-api-data-0.4.3-IKNkGjnSEGs2H8Uapur343
    monad-control-1.0.2.3-5vt7Kj8jr2g2zqmm9QczLG
    monad-logger-0.3.36-9MLopHoMSdxHHmhFqJgPKv mtl-2.2.2
    path-pieces-0.2.1-HjhK3aNN7yZFxOOVXSfLKP
    persistent-2.13.0.2-2poHEE1pQYCIzQN58ebtRo
    quickcheck-instances-0.3.25.2-AuvhG7vg5y2JO5AkTSfXd6
    random-1.2.0-DdpBoDDjQauFpQb1Ggrsga
    resourcet-1.2.4.2-DXMRxmjDYKlCownbJXn41q text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-2ezSrLWXfdq52M4tg4ZjR2
    unliftio-0.2.18-KeEvIqyvaXFAB4mteZIR5M
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-5kKqmVttdlX7hk1UpZeLDO

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

